# Interface methods for submodule: CheckerBoardImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: CheckerBoardImageFilter
class CheckerBoardImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput1(self, image1) -> None:
		""""""
		...

	def SetInput2(self, image2) -> None:
		""""""
		...

	def SetCheckerPattern(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetCheckerPattern(self) -> Sequence[int]:
		""""""
		...

